import ss from 'main.js';

// 媒体信息
ss.on(ss.MOVIE_INFO_CHANGE, (d) => {
  console.log('MOVIE_INFO_CHANGE->', d);
})

// 版本信息
ss.on(ss.VERSION_INFO_CHANGE, (d) => {
  console.log('VERSION_INFO_CHANGE->', d);
})

// 本地摄像头设备
ss.on(ss.CAMERA_INFO_CHANGE, (d) => {
  console.log('CAMERA_INFO_CHANGE->', d);
})

// 本地麦克风设备
ss.on(ss.MIC_INFO_CHANGE, (d) => {
  console.log('MIC_INFO_CHANGE->', d);
})

// 视频信息
ss.on(ss.VIDEO_INFO_CHANGE, (d) => {
  console.log('VIDEO_INFO_CHANGE->', d);
})

// 本地RTMP服务端口
ss.on(ss.RTMP_PORT_CHANGE, (d) => {
  console.log('RTMP_PORT_CHANGE->', d);
})

// 麦克风音量
ss.on(ss.MIC_VOL_CHANGE, (d) => {
  console.log('MIC_VOL_CHANGE->', d);
})

function startSS() {
  // 发起屏幕共享[推送地址可选]
  console.log('发起屏幕');
  ss.startShareScreen('rtmp://123.56.205.116/live/alexwang');
}

function stopSS() {
  // 关闭屏幕共享
  console.log('关闭屏幕');
  //ss.stopShareScreen();
}

// 屏幕共享开始
ss.on(ss.SS_START, () => {
  console.log('SS_START');
  setTimeout(() => {
    stopSS();
  }, 200)
})

// 屏幕共享关闭
ss.on(ss.SS_STOP, () => {
  console.log('SS_STOP');
  setTimeout(() => {
    startSS();
  }, 500)
})

// 发生错误
ss.on(ss.ERROR, () => {
  console.log('ERROR');
})

// 服务关闭
ss.on(ss.CLOSE, () => {
  console.log('CLOSE');
})

// 服务开启
ss.on(ss.OPEN, () => {
  console.log('OPEN');
  startSS();
})

// 连接本地流媒体服务
ss.start('192.168.222.216', 8090);
